Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.reflection
Class ReflectionConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter
          com.thoughtworks.xstream.converters.reflection.ReflectionConverter

All Implemented Interfaces:
  Converter, ConverterMatcher

Direct Known Subclasses:
  AnnotationReflectionConverter, LookAndFeelConverter

    public class ReflectionConverter

extends AbstractReflectionConverter

Nested Class Summary

Nested classes/interfaces inherited from class com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter
`AbstractReflectionConverter.DuplicateFieldException`

Field Summary

Fields inherited from class com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter
`mapper, reflectionProvider, serializationMethodInvoker`

Constructor Summary
`ReflectionConverter(Mapper mapper, ReflectionProvider reflectionProvider)`

Method Summary
`boolean` | `canConvert(Class type)` Determines whether the converter can marshall a particular type.

Methods inherited from class com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter
`doMarshal, doUnmarshal, instantiateNewInstance, marshal, marshallField, shouldUnmarshalTransientFields, unmarshal, unmarshallField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectionConverter

    public ReflectionConverter(Mapper mapper,
                               ReflectionProvider reflectionProvider)

Method Detail

### canConvert

    public boolean canConvert(Class type)

  Description copied from interface: `ConverterMatcher`
  Determines whether the converter can marshall a particular type.

  Parameters:
    `type` - the Class representing the object type to be converted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.